using System;
using System.Collections;
using System.Threading;
using MFToolkit.Net.Web;
using Microsoft.SPOT;

namespace OfficeAlram
{
    public class AlarmTimer
    {
        public ArrayList Schedules { get; set; }

        public delegate void AlarmEventDelegate(Object sender, Schedule schedule);
        public event AlarmEventDelegate AlarmEvent;
        private bool IsBusy { get; set; }
        private const int SleepTime = 10000;

        public AlarmTimer()
        {
            this.Schedules = new ArrayList();
        }


        public void StartAsync()
        {
            new Thread(this.TimeChecker).Start();
        }



        public void Stop()
        {
            this.IsBusy = false;
        }



        private void TimeChecker()
        {
            this.IsBusy = true;
            while(this.IsBusy == true)
            {
                TimeSpan time = DateTime.Now.TimeOfDay;
                Debug.Print("Time: " + time.ToString());
                foreach (Schedule schedule in this.Schedules) {
                    if (schedule.Time.Subtract(new TimeSpan(0, 1, 0)) < time && time < schedule.Time.Add(new TimeSpan(0, 1, 0))) {
                        if (schedule.LastProcessTime.Day != DateTime.Now.Day) {
                            this.OnAlarm(schedule);
                            schedule.LastProcessTime = DateTime.Now;
                        }
                    }
                }

                Thread.Sleep(SleepTime);
            }
        }



        private void OnAlarm(Schedule schedule)
        {
            if(this.AlarmEvent != null)
            {
                this.AlarmEvent(this, schedule);
            }
        }
    }
}
